Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.xml.binding
Class Unmarshaller

    java.lang.Object
      org.jboss.xml.binding.Unmarshaller

public class Unmarshaller
extends Object

Unmarshaller implementation. WARNING: this implementation is not thread-safe.

Version:
  `$Revision: 1.13.2.1 $`
Author:
  Alexey Loubyansky

Field Summary
`static String` | `DYNAMIC_VALIDATION`
`static String` | `NAMESPACE_PREFIXES`
`static String` | `NAMESPACES`
`static String` | `SCHEMA_FULL_CHECKING`
`static String` | `SCHEMA_VALIDATION`
`static String` | `VALIDATION`

Constructor Summary
`Unmarshaller()` The constructor for DTD and XSD client awareness.

Method Summary
`void` | `mapFactoryToNamespace(ObjectModelFactory factory, String namespaceUri)`
`void` | `setEntityResolver(EntityResolver entityResolver)`
`void` | `setErrorHandler(ErrorHandler errorHandler)`
`void` | `setNamespaceAware(boolean namespaces)`
`void` | `setValidation(boolean validation)`
`Object` | `unmarshal(InputSource is, ObjectModelFactory factory, Object root)`
`Object` | `unmarshal(InputStream is, ObjectModelFactory factory, Object root)`
`Object` | `unmarshal(Reader reader, ObjectModelFactory factory, Object root)`
`Object` | `unmarshal(String systemId, ObjectModelFactory factory, Object root)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALIDATION

    public static final String VALIDATION

See Also:
  Constant Field Values

### NAMESPACES

    public static final String NAMESPACES

See Also:
  Constant Field Values

### NAMESPACE_PREFIXES

    public static final String NAMESPACE_PREFIXES

See Also:
  Constant Field Values

### DYNAMIC_VALIDATION

    public static final String DYNAMIC_VALIDATION

See Also:
  Constant Field Values

### SCHEMA_VALIDATION

    public static final String SCHEMA_VALIDATION

See Also:
  Constant Field Values

### SCHEMA_FULL_CHECKING

    public static final String SCHEMA_FULL_CHECKING

See Also:
  Constant Field Values

Constructor Detail

### Unmarshaller

    public Unmarshaller()
                 throws JBossXBException

  The constructor for DTD and XSD client awareness.

Method Detail

### setValidation

    public void setValidation(boolean validation)
                       throws JBossXBException

  Throws:
    `JBossXBException`

### setNamespaceAware

    public void setNamespaceAware(boolean namespaces)
                           throws JBossXBException

  Throws:
    `JBossXBException`

### setEntityResolver

    public void setEntityResolver(EntityResolver entityResolver)
                           throws JBossXBException

  Throws:
    `JBossXBException`

### setErrorHandler

    public void setErrorHandler(ErrorHandler errorHandler)

### mapFactoryToNamespace

    public void mapFactoryToNamespace(ObjectModelFactory factory,
                                      String namespaceUri)

### unmarshal

    public Object unmarshal(Reader reader,
                            ObjectModelFactory factory,
                            Object root)
                     throws JBossXBException

  Throws:
    `JBossXBException`

### unmarshal

    public Object unmarshal(InputStream is,
                            ObjectModelFactory factory,
                            Object root)
                     throws JBossXBException

  Throws:
    `JBossXBException`

### unmarshal

    public Object unmarshal(String systemId,
                            ObjectModelFactory factory,
                            Object root)
                     throws JBossXBException

  Throws:
    `JBossXBException`

### unmarshal

    public Object unmarshal(InputSource is,
                            ObjectModelFactory factory,
                            Object root)
                     throws JBossXBException

  Throws:
    `JBossXBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.